commit:     363cc16a8592873a519a7479d93a44f2e4fbcdc3
Author:     Aisha Tammy <gentoo <AT> aisha <DOT> cc>
AuthorDate: Sat Oct 10 00:37:18 2020 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Oct 10 04:52:13 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=363cc16a
dev-libs/cloog: version bump to 0.20.0

all 4 tests are passing

Package-Manager: Portage-3.0.8, Repoman-3.0.1
Signed-off-by: Aisha Tammy <gentoo <AT> aisha.cc>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-libs/cloog/Manifest                       |  1 +
 dev-libs/cloog/cloog-0.20.0.ebuild            | 60 +++++++++++++++++++++++++++
 dev-libs/cloog/cloog-9999.ebuild              | 57 ++++++++++++-------------
 dev-libs/cloog/files/cloog-0.20.0-notex.patch | 37 +++++++++++++++++
 4 files changed, 125 insertions(+), 30 deletions(-)

diff --git a/dev-libs/cloog/Manifest b/dev-libs/cloog/Manifest
index 27217237993..efb9d9bb799 100644
--- a/dev-libs/cloog/Manifest
+++ b/dev-libs/cloog/Manifest
@@ -1 +1,2 @@
 DIST cloog-0.18.4.tar.gz 4796456 BLAKE2B 
9d1f281abe48d40f726c3fc66c58c0d7cb90f6d3ca47af02c8f00b5cc69c6de6b0362b2dc406a8cb6310e07c6b2991f6de3b6b407ad7db0190b9bc69ac82773f
 SHA512 
d35d67b08ffe13c1a010b65bfe4dd02b0ae013d5b489e330dc950bd3514defca8f734bd37781856dcedf0491ff6122c34eecb4b0fe32a22d7e6bdadea98c8c23
+DIST cloog-0.20.0.tar.gz 512106 BLAKE2B 
ac5ce6b7bb6ad586fc614c02b7c2e7c17322e49a775e21b50fb9862e487b4278a2b1024a7269830b55be1ae3c4b4c70f3d411d6c86052483bda124bc9bc07b20
 SHA512 
2663bbce49c42436681750968823dbee9b3cfbe4c086f5b340d11e51d8c8f138d1a2ccfd1691ae4395b94c082ccc49c0d7e5a1475b29192d13ab3c0148a8c347

diff --git a/dev-libs/cloog/cloog-0.20.0.ebuild 
b/dev-libs/cloog/cloog-0.20.0.ebuild
new file mode 100644
index 00000000000..cf8d94e5786
--- /dev/null
+++ b/dev-libs/cloog/cloog-0.20.0.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+inherit autotools eutils
+
+DESCRIPTION="A loop generator for scanning polyhedra"
+HOMEPAGE="http://www.bastoul.net/cloog/
+       https://github.com/periscop/cloog
+"
+
+if [[ ${PV} == 9999 ]] ; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/periscop/cloog";
+else
+       SRC_URI="https://github.com/periscop/cloog/archive/${P}.tar.gz";
+       S="${WORKDIR}"/cloog-${P}
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 
~s390 ~sparc ~x86"
+fi
+
+LICENSE="LGPL-2.1"
+SLOT="0/4"
+IUSE="static-libs"
+
+RDEPEND="
+       dev-libs/gmp
+       dev-libs/isl
+"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+PATCHES=( "${FILESDIR}"/${PN}-0.20.0-notex.patch )
+
+DOCS=( README )
+
+src_prepare() {
+       default
+       AT_NO_RECURSIVE=yes eautoreconf -i
+       # m4/ax_create_pkgconfig_info.m4 includes LDFLAGS
+       # sed to avoid eautoreconf
+       sed -i -e '/Libs:/s:@LDFLAGS@ ::' configure || die
+
+       # Make sure we always use the system isl.
+       rm -rf isl || die
+}
+
+src_configure() {
+       ECONF_SOURCE="${S}" econf \
+               --with-gmp=system \
+               --with-isl=system \
+               --with-osl=no \
+               $(use_enable static-libs static)
+}
+
+# The default src_test() fails, so we'll just run these directly
+src_test() {
+       elog ">>> Test phase [check]: ${CATEGORY}/${PF}"
+       emake -j1 check
+}

diff --git a/dev-libs/cloog/cloog-9999.ebuild b/dev-libs/cloog/cloog-9999.ebuild
index c85bd46b030..cf8d94e5786 100644
--- a/dev-libs/cloog/cloog-9999.ebuild
+++ b/dev-libs/cloog/cloog-9999.ebuild
@@ -3,47 +3,49 @@
 
 EAPI="7"
 
-inherit eutils multilib-minimal
+inherit autotools eutils
 
-if [[ ${PV} == *9999 ]] ; then
-       inherit autotools git-r3
-       EGIT_REPO_URI="https://repo.or.cz/cloog.git";
+DESCRIPTION="A loop generator for scanning polyhedra"
+HOMEPAGE="http://www.bastoul.net/cloog/
+       https://github.com/periscop/cloog
+"
+
+if [[ ${PV} == 9999 ]] ; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/periscop/cloog";
 else
+       SRC_URI="https://github.com/periscop/cloog/archive/${P}.tar.gz";
+       S="${WORKDIR}"/cloog-${P}
        KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 
~s390 ~sparc ~x86"
-       SRC_URI="http://www.bastoul.net/cloog/pages/download/${P}.tar.gz";
 fi
 
-DESCRIPTION="A loop generator for scanning polyhedra"
-HOMEPAGE="http://www.bastoul.net/cloog/";
-
 LICENSE="LGPL-2.1"
 SLOT="0/4"
 IUSE="static-libs"
 
-RDEPEND=">=dev-libs/gmp-6.0.0[${MULTILIB_USEDEP}]
-       >=dev-libs/isl-0.15:0=[${MULTILIB_USEDEP}]"
-DEPEND="${DEPEND}
-       virtual/pkgconfig"
+RDEPEND="
+       dev-libs/gmp
+       dev-libs/isl
+"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+PATCHES=( "${FILESDIR}"/${PN}-0.20.0-notex.patch )
 
 DOCS=( README )
 
 src_prepare() {
        default
-
-       if [[ ${PV} == "9999" ]] ; then
-               ./get_submodules.sh
-               eautoreconf -i
-       else
-               # m4/ax_create_pkgconfig_info.m4 includes LDFLAGS
-               # sed to avoid eautoreconf
-               sed -i -e '/Libs:/s:@LDFLAGS@ ::' configure || die
-       fi
+       AT_NO_RECURSIVE=yes eautoreconf -i
+       # m4/ax_create_pkgconfig_info.m4 includes LDFLAGS
+       # sed to avoid eautoreconf
+       sed -i -e '/Libs:/s:@LDFLAGS@ ::' configure || die
 
        # Make sure we always use the system isl.
-       rm -rf isl
+       rm -rf isl || die
 }
 
-multilib_src_configure() {
+src_configure() {
        ECONF_SOURCE="${S}" econf \
                --with-gmp=system \
                --with-isl=system \
@@ -52,12 +54,7 @@ multilib_src_configure() {
 }
 
 # The default src_test() fails, so we'll just run these directly
-multilib_src_test() {
-       echo ">>> Test phase [check]: ${CATEGORY}/${PF}"
+src_test() {
+       elog ">>> Test phase [check]: ${CATEGORY}/${PF}"
        emake -j1 check
 }
-
-multilib_src_install_all() {
-       einstalldocs
-       find "${ED}" -type f -name '*.la' -delete
-}

diff --git a/dev-libs/cloog/files/cloog-0.20.0-notex.patch 
b/dev-libs/cloog/files/cloog-0.20.0-notex.patch
new file mode 100644
index 00000000000..72c75a1820d
--- /dev/null
+++ b/dev-libs/cloog/files/cloog-0.20.0-notex.patch
@@ -0,0 +1,37 @@
+diff --git a/Makefile.am b/Makefile.am
+index 9edba30..fcca42f 100644
+--- a/Makefile.am
++++ b/Makefile.am
+@@ -181,19 +181,6 @@ doc:
+       @echo "              *-----------------------------------------------*/"
+       doxygen ./autoconf/Doxyfile
+ 
+-#/*****************************************************************************
+-# *                                   Doc                                     
*
+-# 
*****************************************************************************/
+-
+-if HAVE_TEXI2DVI
+-pdf_DATA = doc/cloog.pdf
+-dist_pdf_DATA = doc/cloog.pdf
+-doc/cloog.pdf: doc/cloog.texi doc/gitversion.texi
+-      $(TEXI2DVI) -I $(top_builddir)/doc --pdf $< -o $@
+-endif
+-
+-doc/gitversion.texi: @GIT_INDEX@
+-      echo '@set VERSION '`$(top_builddir)/genversion.sh`'' > $@
+ 
+ 
#/*****************************************************************************
+ # *                                   Tests                                   
 *
+diff --git a/configure.ac b/configure.ac
+index 88d346d..fec9b04 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -72,8 +72,6 @@ AC_CHECK_PROG(CD, cd)
+ dnl Configure needs an empty install.sh file with this, i HATE that...
+ AC_PROG_INSTALL
+ AC_PROG_LIBTOOL
+-AC_CHECK_PROG(TEXI2DVI, texi2dvi, texi2dvi, [])
+-AM_CONDITIONAL(HAVE_TEXI2DVI, test -n "$TEXI2DVI")
+ 
+ AX_CC_MAXOPT
+ AC_SUBST(CFLAGS_WARN)

Reply via email to